/* Table of constant values */

static float c_b2 = 1.f;
static float c_b3 = 0.f;
static int c__1 = 1;
static int c__3 = 3;

int main(void)
{
    /* Initialized data */
    static float p[11] = { 1.f,1.f,1.f,1.f,1.f,1.f,1.f,1.f,1.f,1.f,1.f };
    static int n = 11;
    static int m = 11;
    static float eps = .001f;
    static float sx[11] = { 0.f,.1f,.2f,.3f,.4f,.5f,.6f,.7f,.8f,.9f,1.f };
    static float sy[11] = { 0.f,.1f,.2f,.3f,.4f,.5f,.6f,.7f,.8f,.9f,1.f };

    /* Builtin functions */
    double atan(double), log(double);

    /* Local variables */
    extern int ef12r_c(float *, float *, int *, int *, float *, float *,
                       float *, float *, float *, float *, float *, float *, 
	               float *, float *, int *);
    static float a[121]	/* was [11][11] */, f[11], h__[7];
    static int i__, j;
    static float u[11], w[88] /* was [11][8] */;
    int i__1, i__2;

#define a_ref(a_1,a_2) a[(a_2)*11 + a_1 - 12]

    i__1 = m;
    for (i__ = 1; i__ <= i__1; ++i__) {
	f[i__ - 1] = (float)atan(sy[i__ - 1]);
	i__2 = n;
	for (j = 1; j <= i__2; ++j) {
/* L1: */
	    a_ref(i__, j) = sy[i__ - 1] / (sx[j - 1] * sx[j - 1] * sy[i__ - 1]
		     * sy[i__ - 1] + 1.f);
	}
    }
    ef12r_c(sx, sy, &n, &m, a, u, f, p, &c_b2, &c_b3, &c_b3, &eps, h__, w,
           &c__1);
           
    for (j = 0; j <= 6; j += 3) {       
         printf("\n %16.7e %16.7e %16.7e ",u[j], u[j+1], u[j+2]);
    }     
    printf("\n %16.7e %16.7e \n\n",u[9], u[10]);
    for (j = 1; j <= 7; ++j) {
         printf("\n %16.7e \n",h__[j]);
    }     
    f[0] = 0.f;
    i__2 = n;
    for (i__ = 2; i__ <= i__2; ++i__) {
/* L2: */
	f[i__ - 1] = (float)log((float)(sy[i__ - 1] * sy[i__ - 1] + 1.f)) /
	        (sy[i__ - 1] * 2.f);
    }
    ef12r_c(sx, sy, &n, &m, a, u, f, p, &c_b2, &c_b3, &c_b3, &eps, h__, w,
           &c__3);
 
    for (j = 0; j <= 6; j += 3) {
         printf("\n %16.7e %16.7e %16.7e ",u[j], u[j+1], u[j+2]);
    }
    printf("\n %16.7e %16.7e \n\n",u[9], u[10]);
    for (j = 1; j <= 7; ++j) {
         printf("\n %16.7e \n",h__[j]);
    }
    return 0;
} /* main */

#undef a_ref
